MagickCore: registry.c File Reference

# registry.c File Reference

`#include "magick/studio.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/image.h"`
`#include "magick/list.h"`
`#include "magick/memory_.h"`
`#include "magick/registry.h"`
`#include "magick/splay-tree.h"`
`#include "magick/string_.h"`
`#include "magick/utility.h"`

## Data Structures
struct | _RegistryInfo
## Typedefs
typedef struct _RegistryInfo | RegistryInfo
## Functions
MagickExport MagickBooleanType | DefineImageRegistry (const RegistryType type, const char *option, ExceptionInfo *exception)
MagickExport MagickBooleanType | DeleteImageRegistry (const char *key)
MagickExport void | DestroyImageRegistry (void)
MagickExport const void * | GetImageRegistry (const RegistryType type, const char *key, ExceptionInfo *exception)
MagickExport char * | GetNextImageRegistry (void)
MagickExport void * | RemoveImageRegistry (const char *key)
MagickExport void | ResetImageRegistryIterator ()
static void * | DestroyRegistryNode (void *registry_info)
MagickExport MagickBooleanType | SetImageRegistry (const RegistryType type, const char *key, const void *value, ExceptionInfo *exception)
## Variables
static SplayTreeInfo * | registry = (SplayTreeInfo *) NULL

## Typedef Documentation

typedef struct _RegistryInfo RegistryInfo

## Function Documentation

MagickExport MagickBooleanType DefineImageRegistry | ( | const RegistryType | type,
|  | const char * | option,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType DeleteImageRegistry | ( | const char * | key | ) |

MagickExport void DestroyImageRegistry | ( | void |  | ) |

static void* DestroyRegistryNode | ( | void * | registry_info | ) | `[static]`

MagickExport const void* GetImageRegistry | ( | const RegistryType | type,
|  | const char * | key,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport char* GetNextImageRegistry | ( | void |  | ) |

MagickExport void* RemoveImageRegistry | ( | const char * | key | ) |

MagickExport void ResetImageRegistryIterator | ( | void |  | ) |

MagickExport MagickBooleanType SetImageRegistry | ( | const RegistryType | type,
|  | const char * | key,
|  | const void * | value,
|  | ExceptionInfo * | exception |
| ) |  |  |

## Variable Documentation

SplayTreeInfo* registry = (SplayTreeInfo *) NULL`[static]`